AT-SPI2 Accessibility
Elementary » Elementary Engine

Elementary widgets support Linux Accessibility standard. More...

## Functions

Eina_Bool | elm_config_atspi_mode_get (void)
| Gets ATSPI mode.
void | elm_config_atspi_mode_set (Eina_Bool is_atspi)
| Sets ATSPI mode.

## Detailed Description

Elementary widgets support Linux Accessibility standard.

For more information please visit: http://www.linuxfoundation.org/collaborate/workgroups/accessibility/atk/at-spi/at-spi_on_d-bus

## Function Documentation

## elm_config_atspi_mode_get()

Eina_Bool elm_config_atspi_mode_get | ( | void |  | ) |

Gets ATSPI mode.

Returns
  the ATSPI mode

Since
  1.10

See also
  elm_config_atspi_mode_set()

## elm_config_atspi_mode_set()

void elm_config_atspi_mode_set | ( | Eina_Bool | is_atspi | ) |

Sets ATSPI mode.

Parameters

  is_atspi | If `EINA_TRUE`, enables ATSPI2 mode

Note
  Enables Linux Accessibility support for Elementary widgets.

Since
  1.10

See also
  elm_config_atspi_mode_get()